## console-data 1.10

=== debian/changelog ===
console-data (2:1.10-1) unstable; urgency=low

  * New upstream release. It adds handling for keycode 97
    on br-abnt2 keyboards for Thinkpads
    Closes: #530314
  * Use Swiss German keymap as default when using
    German/Liechtenstein language/country combination
    Thanks to Frans Pop for the patch and to Josef Vogt
    for reporting. Closes: #560107

 -- Christian Perrier <bubulle@debian.org>  Wed, 09 Dec 2009 06:42:23 +0100

console-data (2:1.09-3) unstable; urgency=low

  * Switch to 3.0 (quilt) source format
  * Bump debhelper compatibility level to 7
  * Update Standards to 3.8.2 (checked, no change)
  * Bulgarian (Damyan Ivanov).  Closes: #558007

 -- Christian Perrier <bubulle@debian.org>  Thu, 26 Nov 2009 22:46:45 +0100

console-data (2:1.09-2) unstable; urgency=low

  * Debconf translation updates:
    - Telugu. Closes: #536859
  * Update Standards to 3.8.2 (checked, no change)
  * Drop obsolete debian/attic directory. Closes: #537214
  * Rebuild with new dh-consoledata to avoid having a call
    to obsolete "dpkg --print-installation-architecture"
    Closes: #537215

 -- Christian Perrier <bubulle@debian.org>  Fri, 17 Jul 2009 22:19:45 +0200

console-data (2:1.09-1) unstable; urgency=low

  * New upstream release. Fixes:
    - Add Kirghiz keymap. Closes: #527565
  * Build-Depend on autotools-dev so that config.{sub|guess} are
    really updated by cdbs
  * Add Kirghiz keymap to udeb debconf templates and map it in the udeb
    for Kirghiz language
  * Update copyright to properly refer to GPL-2
  * Update Standards to 3.8.1 (checked, no change)
  * No longer ignore errors in postinst script
  * Debconf translation updates:
    - Slovak. Closes: #528008
    - Asturian. Closes: #528036
    - Basque. Closes: #528751

 -- Christian Perrier <bubulle@debian.org>  Fri, 15 May 2009 19:47:39 +0200

console-data (2:1.08a-1) unstable; urgency=low

  * New upstream bugfix release. Fixes:
    - Incorrect statements in linux-keys-bare.inc. Closes: #517349

 -- Christian Perrier <bubulle@debian.org>  Sat, 28 Feb 2009 19:37:11 +0100

console-data (2:1.08-1) unstable; urgency=low

  * New upstream release. Fixes:
    - Add French "bepo" Dvorak keymaps. Closes: #514906
    - Add dvorak-uk keymap. Closes: #495634
    - Fix 0x7f in koi8-r.acm. Closes: #511249
    - Really add Braille fonts and lat9wbrl.uni files
      Closes: #356631
    - PrtScr no longer sends SIGQUIT. Closes: #501590
    - Fix lat1-12.psf. Closes: #501470
  * Default to Spanish keymap for Asturian in the udeb
  * Debconf translation updates:
    - Asturian added. Closes: #511140
    - Kazakh added. Closes: #514591
    - Galician updated. Closes: #516917
  * Drop unused keymaps from the udeb. Closes: #494088
  * Consistency in poposed keymap names for udebs. Closes: #475804.
    Relevant changes:
    - Drop fr-latin1 as proposed choice in console-keymaps-acorn.templates
    - Drop mac-usb-de-latin1 as proposed choice in
      console-keymaps-usb.templates. The remaining proposed keymap is
      mac-usb-de-latin1-nodeadkeys and is now "translated" as "German"
      for consistency with console-keymaps-at
    - Drop "(amiga)" in Amiga keymap names. They're proposed only for Amigas
      anyway.
    - Ditto for Atari keymaps
    - Drop "(type 5)" mentions for Sun keymaps except when "type 4" also
      exists

 -- Christian Perrier <bubulle@debian.org>  Tue, 24 Feb 2009 22:17:09 +0100

console-data (2:1.07-11) unstable; urgency=low

  * Debconf translation updates:
    - Danish corrected

 -- Christian Perrier <bubulle@debian.org>  Sat, 18 Oct 2008 07:53:04 +0200

console-data (2:1.07-10) unstable; urgency=low

  * Revert the default keymap in D-I for fr_CA to cf
    Closes: #499207

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Sep 2008 08:17:43 +0200

console-data (2:1.07-9) unstable; urgency=low

  * Debconf translation updates:
    - German corrected. Closes: #499122

 -- Christian Perrier <bubulle@debian.org>  Tue, 16 Sep 2008 19:45:26 +0200

console-data (2:1.07-8) unstable; urgency=low

  * Debconf translation updates: 
    - Norwegian Nynorsk. Closes: #498959

 -- Christian Perrier <bubulle@debian.org>  Mon, 15 Sep 2008 19:59:35 +0200

console-data (2:1.07-7) unstable; urgency=low

  * Debconf translation updates: 
    - Wolof. Closes: #497553
    - Indonesian.
    - Georgian. Closes: #498417

 -- Christian Perrier <bubulle@debian.org>  Thu, 11 Sep 2008 05:21:31 +0200

console-data (2:1.07-6) unstable; urgency=low

  * Debconf translation updates: 
    - Marathi
    - Brazilian Portuguese
    - Croatian
    - Bengali
    - Danish
    - Hindi
    - Ukrainian
    - Irish
    - Khmer
    - Kurdish
  * Use US keymap as default for Malayalam, Kannada, Punjabi, Gujarati,
    Dzongkha, Nepali. Closes: #496280

 -- Christian Perrier <bubulle@debian.org>  Sun, 31 Aug 2008 18:15:44 +0200

console-data (2:1.07-5) unstable; urgency=low

  * Debconf translation updates:
    - Dzongkha.
    - Esperanto. Closes: #488423
    - Tagalog. Closes: #488483
    - Traditional Chinese
    - Norwegian Bokmål. Closes: #488539
    - Polish. Closes: #488783
    - Albanian. Closes: #480279

 -- Christian Perrier <bubulle@debian.org>  Sun, 06 Jul 2008 07:18:07 +0200

console-data (2:1.07-4) unstable; urgency=low

  * Add th-tis (Thai) keymap to choices. Closes: #484793
  * Update to Standards 3.8.0 (checked)
  * Debconf translation updates:
    - Irish. Closes: #480735
    - Belarusian. Closes: #483523, #485016
    - Swedish. Closes: #482460, #484793
    - Turkish. Closes: #482560
    - Slovak. Closes: #484558
    - Spanish
    - Slovenian
    - French
    - Hebrew. Closes: #484831
    - Finnish. Closes: #484839
    - Bulgarian. Closes: #484843
    - German. Closes: #484851
    - Thai. Closes: #484863
    - Simplified Chinese. Closes: #484865
    - Japanese
    - Hungarian. Closes: #484884
    - Portuguese. Closes: #484933
    - Greek. Closes: #485084
    - Korean. Closes: #485148
    - Galician. Closes: #485222

