=== debian/control ===
Source: console-data
Section: utils
Priority: optional
Maintainer: Alastair McKinstry <mckinstry@debian.org>
Uploaders: Christian Perrier <bubulle@debian.org>, Anton Zinoviev <anton@lml.bas.bg>
Build-Depends: cdbs, debhelper (>= 7), unicode-data (>= 5.0.0), locales, autotools-dev
Build-Depends-Indep: dh-consoledata (>= 0.7.72), sharutils, kbd | console-tools, automake1.9
Standards-Version: 3.8.3

Package: console-data
Section: utils
Architecture: all
Recommends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), console-common (>=0.7.62)
Depends: debconf | debconf-2.0, ${misc:Depends}
Conflicts: kbd (<= 0.96a-1), kbd-data, console-tools-data
Provides: console-tools-data, console-keymaps
Replaces: console-tools-data
Suggests: unicode-data
Description: keymaps, fonts, charset maps, fallback tables for console-tools
 This package provides the standard data files for the Linux console tools.
 .
 This includes keyboard definitions (keymaps), console fonts for various
 encodings, maps defining the standard charsets for use by text applications,
 and fallback tables allowing to approximate an unavailable character's glyph
 with the glyph of another character in the current font.

Package: console-keymaps-at
Section: debian-installer
Priority: optional
Architecture: all
Provides: console-keymaps
Depends: cdebconf-udeb
XC-Package-Type: udeb
Description: keymaps for PC-style (PS/2 and AT) keyboards
 This package provides a minimal selection of keymaps and fonts required
 for the Debian installer.
 .
 This package provides keymaps necessary for computers with 
 PC-style (PS/2 and AT) keyboards for i386 and many other architectures. 
 (Note: USB keyboards can be found in the console-keymaps-usb package).

Package: console-keymaps-usb
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Depends: cdebconf-udeb
XC-Package-Type: udeb
Description: keymaps for USB keyboards
 This package provides a minimal selection of keymaps required for
 the Debian installer.
 .
 This package only contains keymaps necessary 
 for USB keyboards.

Package: console-keymaps-sun
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
XC-Package-Type: udeb
Depends: cdebconf-udeb
Description: keymaps for Sun keyboards
 This package provides a minimal selection of keymaps required for 
 the Debian installer.
 .
 This package provides keymaps for Sun keyboards only.

Package: console-keymaps-acorn
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Depends: cdebconf-udeb
XC-Package-Type: udeb
Description: keymaps for Acorn RISC-PC keyboards
 This package provides a minimal selection of keymaps required for 
 the Debian installer.
 .
 This package provides keymaps for legacy 
 Acorn RISC-PC keyboards only.

Package: console-keymaps-mac
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
Depends: cdebconf-udeb
XC-Package-Type: udeb
Description: keymaps for Apple keyboards
 This package provides a minimal selection of keymaps required for 
 the Debian installer.
 .
 This package provides keymaps for Apple keyboards.

Package: console-keymaps-atari
Section: debian-installer
Architecture: all
Priority: extra
XC-Package-Type: udeb
Provides: console-keymaps
Depends: cdebconf-udeb
Description: keymaps for Atari keyboards
 This package provides a minimal selection of keymaps required for 
 the Debian installer.
 .
 This package provides keymaps for Atari keyboards.

Package: console-keymaps-amiga
Section: debian-installer
Architecture: all
Priority: extra
Provides: console-keymaps
XC-Package-Type: udeb
Depends: cdebconf-udeb
Description: keymaps for Amiga keyboards
 This package provides a minimal selection of keymaps required for 
 the Debian installer.
 .
 This package provides keymaps for Amiga keyboards.

Package: console-keymaps-dec
Section: debian-installer
Architecture: all
Priority: extra
XC-Package-Type: udeb
Depends: cdebconf-udeb
Provides: console-keymaps
Description: keymaps for Dec keyboards
 This package provides a minimal selection of keymaps required
 the Debian installer.
 .
 The package contains keymaps for Dec keyboards.
