## console-data 1.12

=== debian/changelog ===
console-data (2:1.12-8) unstable; urgency=medium

  * Use debhelper (= 10). 
  * Standards-Version: 4.4.0
  * Re-upload with source-only upload

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 28 Aug 2019 14:47:37 +0100

console-data (2:1.12-7) unstable; urgency=medium

  * Rebuild against unicode-data 12.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 26 Apr 2019 09:27:07 +0100

console-data (2:1.12-6) unstable; urgency=medium

  * Drop Christian Perrier as Uploader. Closes: #894485
  * Drop B-D on automake, autotools-dev. Unnecessary for COMPAT=9
  * Use ${Built-Using} in Built-Using field. Closes: #752109
  * Ack rebuild. Closes: #789398
  * Now use debhelper 10
  * Standards-Version: 4.1.4
  * Drop Priority: extra's
  * Add VCS salsa.debian.org

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 14 May 2018 14:31:49 +0100

console-data (2:1.12-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Avoid creating bogus keymaps under some locales.
    Some locales trick `grep` into thinking the origin file as "binary"; force
    it to parse it as "text".  Closes: #799871
    Thanks to Chris Lamb <lamby@debian.org> for the patch
  * Avoid storing build timestamps inside some keymap files.

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 08 Aug 2017 15:50:16 +0200

console-data (2:1.12-5) unstable; urgency=medium

  * Use Built-Using: properly. Thanks to Paul Wise.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 18 Jun 2014 18:42:15 +0100

console-data (2:1.12-4) unstable; urgency=medium

  * Build against unicode-data 7.0. Closes: #751870.
  * Move to Standards-Version: 3.9.5
  * Remove references to console-tools, which has been removed from  debian.
    Closes: #732270.
  * Add Built-Using: ref to unicode-data.
  * Now use debhelper compat level 9.
  * Add Uighir tranlation from  Gheyret Tohti. Closes: #627008.

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 17 Jun 2014 11:21:30 +0100

console-data (2:1.12-3) unstable; urgency=low

  * Build-Depend on automake instead of automake1.9
  * Use Package-Type instead of XC-Package-Type
  * Update Standards to 3.9.4 (checked)

 -- Christian Perrier <bubulle@debian.org>  Tue, 15 Oct 2013 07:38:03 +0200

console-data (2:1.12-2) unstable; urgency=low

  * Icelandic debconf translation updated
  * Vietnamese debconf translation updated

 -- Christian Perrier <bubulle@debian.org>  Tue, 08 May 2012 10:23:22 +0200

console-data (2:1.12-1) unstable; urgency=low

  * New upstream release. Fix Icelandic keymap.
    Thanks to Bjarni Ingi Gislason for the patch
    Closes: #650591
  * No longer mention Agafari console fonts in debian/copyright.
    The font is not included in upstream source.
    Closes: #632235
  * Use "sr" for Serbian instead of "sr-cy". Even for Serbian (Latin)
    Do my best to avoid fuzzying translations (it's easy to drop the
    'cyrillic' part in PO files)
    Closes: #636812
  * Rename console-data.copyright to copyright
  * Bump debhelper compatibility to 8
  * Bump standards to 3.9.2
  * Debconf translations:
    - Sinhala; (Danishka Navin).  Closes: #640756, #640762

 -- Christian Perrier <bubulle@debian.org>  Sun, 04 Dec 2011 15:38:14 +0100

console-data (2:1.11-1) unstable; urgency=low

  * New upstream release. Add Kazakh keymap
    Closes: #609233
  * Fix debconf translation encoding for Hebrew
  * Debconf translation updates:
    - Serbian (Latin).  Closes: #600122
    - Nepali (Mahesh Subedi).  Closes: #614690

 -- Christian Perrier <bubulle@debian.org>  Wed, 23 Feb 2011 20:08:11 +0100

console-data (2:1.10-9) unstable; urgency=low

  * Debconf translation updates:
    - Greek.  Closes: #604446

 -- Christian Perrier <bubulle@debian.org>  Sun, 19 Dec 2010 09:09:13 +0100

console-data (2:1.10-8) unstable; urgency=low

  * Merge translations from console-setup (still giving priority
    to existing translations)

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Nov 2010 13:02:59 +0100

console-data (2:1.10-7) unstable; urgency=low

  * Debconf translation updates:
    - Polish (Marcin Owsiany).  Closes: #604179

 -- Christian Perrier <bubulle@debian.org>  Sun, 21 Nov 2010 08:03:08 +0100

console-data (2:1.10-6) unstable; urgency=low

  * Debconf translation updates:
    - Polish (Marcin Owsiany).  Closes: #595620
    - Malayalam (Saji Nediyanchath).
    - Icelandic (Sveinn í Felli).
    - Serbian (Karolina Kalic).  Closes: #600121

 -- Christian Perrier <bubulle@debian.org>  Wed, 13 Oct 2010 21:59:26 +0200

console-data (2:1.10-5) unstable; urgency=low

  * Spanish (Javier Fernández-Sanguino).  Closes: #592188
  * Arabic (Ossama M. Khayat).  Closes: #592949

 -- Christian Perrier <bubulle@debian.org>  Sun, 05 Sep 2010 12:09:26 +0200

console-data (2:1.10-4) unstable; urgency=low

  * Debconf translation updates:
    - Romanian (Eddy Petrișor).  Closes: #582543
    - Georgian (Aiet Kolkhi).
    - Khmer (Khoem Sokhem).
    - Brazilian Portuguese (Dennis Fernandes Vieira). 
    - Persian added (Vahid Ghaderi).  Closes: #587009
    - Kazakh (Baurzhan Muftakhidinov).  Closes: #587099
    - Dzongkha (yumkee).
    - Galician (IDF).  Closes: #587787
    - Bosnian (Armin Beširović).
    - Croatian (Josip Rodin).
  * Use "croat" keymap for Serbian (Latin)
  * Set default layout for Guernsey, Jersey, and the Isle of Man to uk
    (change in line with similar change in console-setup)
  * Update Standards to 3.9.1 (checked)

 -- Christian Perrier <bubulle@debian.org>  Fri, 30 Jul 2010 23:07:53 +0200

console-data (2:1.10-3) unstable; urgency=low

  * Debconf translation updates:
    - Traditional Chinese (Tetralet).  Closes: #564043
    - Bengali (Israt Jahan).
    - Hebrew (Lior Kaplan).  Closes: #570261
    - Gujarati (Kartik Mistry).  Closes: #571592
  * Update Standards to 3.8.4 (no change)

 -- Christian Perrier <bubulle@debian.org>  Fri, 26 Feb 2010 22:06:08 +0100

console-data (2:1.10-2) unstable; urgency=low

  * Debconf translation updates:
    - Simplified Chinese (苏运强).


