=== debian/control ===
--- 
+++ 
@@ -2,21 +2,28 @@
 Section: utils
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Christian Perrier <bubulle@debian.org>, Anton Zinoviev <anton@lml.bas.bg>
-Build-Depends: cdbs, debhelper (>= 7), unicode-data (>= 5.0.0), locales, autotools-dev
-Build-Depends-Indep: dh-consoledata (>= 0.7.72), sharutils, kbd | console-tools, automake1.9
-Standards-Version: 3.8.3
+Uploaders: Anton Zinoviev <anton@lml.bas.bg>
+Build-Depends: cdbs, debhelper (>= 10), 
+ unicode-data (>= 5.0.0), 
+ locales
+Build-Depends-Indep: dh-consoledata (>= 0.7.72), 
+ sharutils, 
+ kbd
+Standards-Version: 4.4.0
+Vcs-Browser: https://salsa.debian.org:/mckinstry/console-data.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/console-data.git
 
 Package: console-data
 Section: utils
 Architecture: all
-Recommends: kbd (>= 0.99-12) | console-tools (>= 1:0.2.3-16), console-common (>=0.7.62)
+Recommends: kbd (>= 0.99-12) , console-common (>=0.7.62)
 Depends: debconf | debconf-2.0, ${misc:Depends}
 Conflicts: kbd (<= 0.96a-1), kbd-data, console-tools-data
 Provides: console-tools-data, console-keymaps
 Replaces: console-tools-data
+Built-Using: ${Built-Using}
 Suggests: unicode-data
-Description: keymaps, fonts, charset maps, fallback tables for console-tools
+Description: keymaps, fonts, charset maps, fallback tables for 'kbd'.
  This package provides the standard data files for the Linux console tools.
  .
  This includes keyboard definitions (keymaps), console fonts for various
@@ -30,7 +37,7 @@
 Architecture: all
 Provides: console-keymaps
 Depends: cdebconf-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Description: keymaps for PC-style (PS/2 and AT) keyboards
  This package provides a minimal selection of keymaps and fonts required
  for the Debian installer.
@@ -42,10 +49,9 @@
 Package: console-keymaps-usb
 Section: debian-installer
 Architecture: all
-Priority: extra
 Provides: console-keymaps
 Depends: cdebconf-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Description: keymaps for USB keyboards
  This package provides a minimal selection of keymaps required for
  the Debian installer.
@@ -56,9 +62,8 @@
 Package: console-keymaps-sun
 Section: debian-installer
 Architecture: all
-Priority: extra
 Provides: console-keymaps
-XC-Package-Type: udeb
+Package-Type: udeb
 Depends: cdebconf-udeb
 Description: keymaps for Sun keyboards
  This package provides a minimal selection of keymaps required for 
@@ -69,10 +74,9 @@
 Package: console-keymaps-acorn
 Section: debian-installer
 Architecture: all
-Priority: extra
 Provides: console-keymaps
 Depends: cdebconf-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Description: keymaps for Acorn RISC-PC keyboards
  This package provides a minimal selection of keymaps required for 
  the Debian installer.
@@ -83,10 +87,9 @@
 Package: console-keymaps-mac
 Section: debian-installer
 Architecture: all
-Priority: extra
 Provides: console-keymaps
 Depends: cdebconf-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Description: keymaps for Apple keyboards
  This package provides a minimal selection of keymaps required for 
  the Debian installer.
@@ -96,8 +99,7 @@
 Package: console-keymaps-atari
 Section: debian-installer
 Architecture: all
-Priority: extra
-XC-Package-Type: udeb
+Package-Type: udeb
 Provides: console-keymaps
 Depends: cdebconf-udeb
 Description: keymaps for Atari keyboards
@@ -109,9 +111,8 @@
 Package: console-keymaps-amiga
 Section: debian-installer
 Architecture: all
-Priority: extra
 Provides: console-keymaps
-XC-Package-Type: udeb
+Package-Type: udeb
 Depends: cdebconf-udeb
 Description: keymaps for Amiga keyboards
  This package provides a minimal selection of keymaps required for 
@@ -122,8 +123,7 @@
 Package: console-keymaps-dec
 Section: debian-installer
 Architecture: all
-Priority: extra
-XC-Package-Type: udeb
+Package-Type: udeb
 Depends: cdebconf-udeb
 Provides: console-keymaps
 Description: keymaps for Dec keyboards
