=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_VERBOSE=1
 
 include /usr/share/cdbs/1/rules/debhelper.mk
 
@@ -18,10 +20,12 @@
 
 DEB_CONFIGURE_EXTRA_FLAGS := --with-main_compressor=gzip
 
-# DEB_DESTDIR = $(CURDIR)/build-tree
+DEB_DH_GENCONTROL_ARGS_ALL := \
+	-- -VBuilt-Using="`dpkg-query -f'$${source:Package} (= $${Version})' -W unicode-data`"
 
 clean::
 	rm -rf debian/console-data.config debian/console-data.templates debian/sort-tmp debian/locales debian/substvars
+	rm -f ./consoletrans/latin_diacr.fallback ./consoletrans/latin_diacr.nofallback
 
 install/console-data::
 	make install DESTDIR=$(CURDIR)/debian/tmp
