## console-data 2002.12.04dbs-42ubuntu3

=== debian/changelog ===
console-data (2002.12.04dbs-42ubuntu3) warty; urgency=low

  * Unfuzzy translations of be2-latin1, so that translations of
    console-keymaps-acorn and console-keymaps-at appear again.

 -- Colin Watson <cjwatson@canonical.com>  Wed, 22 Sep 2004 16:07:20 +0100

console-data (2002.12.04dbs-42ubuntu2) warty; urgency=low

  * Build with dh-consoledata (>= 0.7.47ubuntu3) for amd64 keymaps.

 -- Colin Watson <cjwatson@canonical.com>  Mon, 20 Sep 2004 00:42:00 +0100

console-data (2002.12.04dbs-42ubuntu1) warty; urgency=low

  * Use be2-latin1 as default for BE (Debian bug #232116). Avoid introducing
    Debian bug #262620/#266683 while backporting this change.

 -- Colin Watson <cjwatson@flatline.org.uk>  Fri, 27 Aug 2004 13:12:16 +0100
