## console-data 2002.12.04dbs-48ubuntu11

=== debian/changelog ===
console-data (2002.12.04dbs-48ubuntu11) hoary; urgency=low

  * fixed mis-commated translations (replaced with semicolons). Closes: Ubuntu#8378.

 -- Matthias Urlichs <smurf@debian.org>  Mon,  4 Apr 2005 17:52:43 +0200

console-data (2002.12.04dbs-48ubuntu10) hoary; urgency=low

  * Depend on keymapper 0.5.3 to pick up less/greater rules.
  * Dropped Slovene charmap (equivalent to Croatian now)
    from the decision table.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 31 Mar 2005 18:29:18 +0200

console-data (2002.12.04dbs-48ubuntu9) hoary; urgency=low

  * Reorganized decision tree building:
    - i386+amd64+ia64 only get "at" keymaps.
    - ppc also gets, and prefers, (mac-)usb maps.
    - the "mac" maps are no longer useful.

 -- Matthias Urlichs <smurf@debian.org>  Wed, 30 Mar 2005 23:32:12 +0200

console-data (2002.12.04dbs-48ubuntu8) hoary; urgency=low

  * Depend on keymapper 0.5.2, to fix US/Lithuanian keymap mix-ups.
  * Add br-latin1 to the list of non-distinguishable keymaps

 -- Matthias Urlichs <smurf@debian.org>  Wed, 30 Mar 2005 18:55:49 +0200

console-data (2002.12.04dbs-48ubuntu7) hoary; urgency=low

  * Depend on keymapper 0.5.1, to fix a possible German/Finnish mixup
    (cedilla vs. comma).

 -- Matthias Urlichs <smurf@debian.org>  Fri, 25 Mar 2005 01:17:50 +0100

console-data (2002.12.04dbs-48ubuntu6) hoary; urgency=low

  * Add Xhosa translation (thanks, Adi Attar).
  * Default Xhosa to US keyboards.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 22 Mar 2005 12:57:47 +0000

console-data (2002.12.04dbs-48ubuntu5) hoary; urgency=low

  * Some sparc love.

 -- Fabio M. Di Nitto <fabbione@ubuntu.com>  Fri, 18 Mar 2005 07:24:46 +0100

console-data (2002.12.04dbs-48ubuntu4) hoary; urgency=low

  * ... and now to write a reasonable Architecture: line. *Sigh*.

 -- Matthias Urlichs <smurf@debian.org>  Thu, 17 Feb 2005 18:30:07 +0100

console-data (2002.12.04dbs-48ubuntu3) hoary; urgency=low

  * "ppc" is actually named "powerpc". Grr. ;-)

 -- Matthias Urlichs <smurf@debian.org>  Thu, 17 Feb 2005 18:25:49 +0100

console-data (2002.12.04dbs-48ubuntu2) hoary; urgency=low

  * Added support for generating a keyboard decision tree.
    - Build an architecture-dependant console-keymaps-tree.udeb.
  * Added debian/patches/195_dvorak_a.patch.
    - A keysym that's identical to the kernel default is not an excuse
      not to include that in your .kmap files.  :-/

 -- Matthias Urlichs <smurf@debian.org>  Tue, 15 Feb 2005 20:58:35 +0100

console-data (2002.12.04dbs-48ubuntu1) hoary; urgency=low

  * Add /usr/share/console/lists/console-data.keymap-list with a simple list
    of architectures and keymap names extracted from
    /usr/share/console/lists/keymaps/console-data.keymaps. Don't rely on
    this too much; the format may change, and I'm not sure it's in the right
    place.
  * Install translations of keymap names in the console-data textdomain in
    /usr/share/locale.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 28 Jan 2005 16:10:20 +0000
