=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: utils
 Priority: important
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends-Indep: dbs, debhelper (>= 4.1.6), dh-consoledata (>= 0.7.47ubuntu3), sharutils, console-tools
+Uploaders: Anton Zinoviev <anton@lml.bas.bg>
+Build-Depends: dbs, debhelper (>= 4.1.6), dh-consoledata, sharutils, console-tools, gettext, keymapper (>= 0.5.3)
+Build-Depends-Indep: dbs, debhelper (>= 4.1.6), dh-consoledata, sharutils, console-tools, gettext
 Standards-Version: 3.6.1
 
 Package: console-data
@@ -98,3 +100,15 @@
 Description: Keymaps for Dec keyboards
  This package contains a minimal selection of keymaps required
  the debian installer. It contains keymaps for Dec keyboards.
+
+Package: console-keymaps-tree
+Section: debian-installer
+Architecture: i386 powerpc ia64 amd64 sparc
+Priority: extra
+Description: Keymap decision tree
+ This package contains a decision tree for deciding on which keymap to
+ use. It is built by gen_keymap, and interpreted by kbd-chooser and
+ cdebconf at install time.
+ .
+ See the keymapper package documentation for details.
+
