=== debian/rules ===
--- 
+++ 
@@ -69,8 +69,8 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -rf console-data.config debian/console-data.templates ${SOURCE_DIR} ${STAMP_DIR}
-	rm -rf debian/substvars
+	rm -rf console-data.config debian/console-data.templates ${SOURCE_DIR} ${STAMP_DIR} debian/sort-tmp debian/locales
+	rm -rf debian/substvars decision-tree
 	dh_clean
 
 binary-indep: build build-udeb
@@ -110,7 +110,20 @@
 	for P in ${UDEB_PKGS} ; do  dh_install -p $$P ; done
 
 	dh_consoledata -i
+	# For convenience of programs that want a list of supported keymaps
+	debian/list-keymaps.pl debian/console-data.keymaps > ${sharedir}/lists/console-data.keymap-list
 	dh_installdebconf -i 
+	# Sort keymaps (including in translations)
+	# MUST be after dh_installdebconf
+	chmod u+x ./sort-keymaps
+	./sort-keymaps
+
+	install -d ${installdir}/usr/share/locale
+	for PO in debian/po/*.po; do \
+		L="$$(basename $$PO .po)"; \
+		install -d ${installdir}/usr/share/locale/$$L/LC_MESSAGES; \
+		msgfmt -o ${installdir}/usr/share/locale/$$L/LC_MESSAGES/console-data.mo $$PO; \
+	done
 
 	dh_installdocs -p console-data debian/README.us-intl
 	install -d -m755 ${exampledir}
@@ -151,7 +164,53 @@
 	done
 
 
-binary-arch:
+# WARNING:
+# The decision-tree-${ARCH} rules need to match whatever d-i installs
+# in that architecture's initrd. Otherwise, keyboard selection will
+# not work for some people.
+
+decision-tree: decision-tree-${ARCH}
+
+# Interestingly, ppc also needs the AT keymaps...
+decision-tree-i386 decision-tree-amd64 decision-tree-ia64:
+	 gen_keymap -o decision-tree -v -i \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/qwerty/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/qwertz/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/azerty/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/dvorak/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/fgGIod/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/include/ \
+		-I build-tree/console-data-1999.08.29/keymaps/include/ \
+		-s fr_CH-latin1,slovene \
+		debian/udeb/console-keymaps-at
+
+decision-tree-powerpc:
+	 gen_keymap -o decision-tree -v -i \
+	 	-I build-tree/console-data-1999.08.29/keymaps/mac/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/qwerty/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/qwertz/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/azerty/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/dvorak/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/fgGIod/ \
+		-I build-tree/console-data-1999.08.29/keymaps/i386/include/ \
+		-I build-tree/console-data-1999.08.29/keymaps/include/ \
+		-s dvorak,us,mac-us-ext,mac-usb-de-latin1,fr_CH-latin1,de-latin1-nodeadkeys,fi-latin1,se-latin1,uk,pt-latin1,fr-latin9,it,es,dk-latin1,sg-latin1,be2-latin1,slovene \
+		debian/udeb/console-keymaps-usb \
+		debian/udeb/console-keymaps-at
+
+decision-tree-sparc:
+	gen_keymap -o decision-tree -v -i \
+		-I build-tree/console-data-1999.08.29/keymaps/sun/ \
+		-I build-tree/console-data-1999.08.29/keymaps/include/ \
+		debian/udeb/console-keymaps-sun
+
+binary-arch: decision-tree
+	dh_install -p console-keymaps-tree
+	dpkg-distaddfile console-keymaps-tree_${fullversion}_${ARCH}.udeb debian-installer extra
+	find debian/console-keymaps-tree -name 'postrm' -exec rm {} \;
+	dh_gencontrol --package console-keymaps-tree -- -fdebian/files~
+	dh_builddeb --package console-keymaps-tree \
+		--filename=console-keymaps-tree_${fullversion}_${ARCH}.udeb
 
 
 # Below here is fairly generic really
