## console-data 2002.12.04dbs-49

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,7 @@
 Priority: important
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Anton Zinoviev <anton@lml.bas.bg>
-Build-Depends: dbs, debhelper (>= 4.1.6), dh-consoledata, sharutils, console-tools, gettext, keymapper (>= 0.5.3)
-Build-Depends-Indep: dbs, debhelper (>= 4.1.6), dh-consoledata, sharutils, console-tools, gettext
+Build-Depends-Indep: dbs, debhelper (>= 4.1.6), dh-consoledata, sharutils, console-tools
 Standards-Version: 3.6.1
 
 Package: console-data
@@ -100,15 +99,3 @@
 Description: Keymaps for Dec keyboards
  This package contains a minimal selection of keymaps required
  the debian installer. It contains keymaps for Dec keyboards.
-
-Package: console-keymaps-tree
-Section: debian-installer
-Architecture: i386 powerpc ia64 amd64 sparc
-Priority: extra
-Description: Keymap decision tree
- This package contains a decision tree for deciding on which keymap to
- use. It is built by gen_keymap, and interpreted by kbd-chooser and
- cdebconf at install time.
- .
- See the keymapper package documentation for details.
-
